> ## Documentation Index
> Fetch the complete documentation index at: https://docs.finzaria.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Historial de importaciones (08)



## OpenAPI

````yaml /openapi/v1.json get /v1/imports
openapi: 3.0.0
info:
  title: Finzaria API
  description: >-
    API REST de Finzaria — finanzas personales para México, dev-first y
    agent-first. Autentícate con tu API key bxm_ (o un token OAuth).
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.finzaria.com/v1
    description: Producción
security: []
tags: []
paths:
  /v1/imports:
    get:
      tags:
        - imports
      summary: Historial de importaciones (08)
      operationId: ImportsController_list
      parameters:
        - name: accountId
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/ImportSummaryDto'
      security:
        - bearer: []
components:
  schemas:
    ImportSummaryDto:
      type: object
      properties:
        id:
          type: string
        accountId:
          type: string
        filename:
          type: string
        status:
          type: string
          enum:
            - draft
            - committed
            - undone
        stats:
          type: object
          additionalProperties: true
        committedAt:
          type: string
          nullable: true
        createdAt:
          type: string
      required:
        - id
        - accountId
        - filename
        - status
        - stats
        - committedAt
        - createdAt
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT (Supabase Auth)
      type: http

````